/*

CSS Display Property:  ;

display: block;
  - changes the element into block element.
  - takes up the full width of the browser.

  Example:  p, h1-h6, div, ul/ol & li;

dispaly: inline;
  - changes the element into a inline element.
  - it takes only the space needed.
  Example:  span, button, label, input;

 display: inline-block;
  - it is a combination of the two elements.
  - act as inline element, but still have the property
  of a block element(height and width).
  Example: img 


  display: none;
     - hides the element from the website and it will not shown 
       visually

*/


#div-1 {
	background-color: green;
    display: block;
    height: 200px;
    width: 200px;
}

#span-1 {
	background-color: purple;
	display: inline;
	width: 200px;
	height: 200px;

}

#span-2 {
	background-color: red;
	display: block;

}

#div-2 {
	background-color: hotpink;
	display: none;
}

#img {
	width:  250px;
	height: 250px;
	display: inline-block;
}

/*
   CSS Background Property(Color Values)
     -#hexcode value
       -hexdecimal color is specified with: 
        - #RRGGBB (Red, Green, Blue)
        - Between 00 and FF (0-9, A-F)

     rgb(red,green, blue) or rgba(red,green, blue, alpha) value
       -values inside the parenthesis is between 0 and 255 (
       percentage values 0% - 100%)
       - alpha sets the opacity of a color set (0.0 to 1.0)

     color name values 
        - composed of 140 colors, commonly used for changing
        color in an element.
*/

#p-1 {
	background-color: #87CEFA; /*hex code value*/
}

#p-2 {
	background-color: rgba(255, 105, 180, .50); /* rgb()or rgba() */
	width: 60%;
}
#p-3 {
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	/*border:  thickness bordertype color*/
	border: 1px solid black;
	text-align: center;
}
/*
   CSS Float property

      - none: element will not float.
      - right: floats to the right of its container
      - left: floats to the left of its container.
      - inherit: inherit float of parent. 
 
*/


.img-float {
	width:  250px;
	height: 250px;
	float: inherit;
}

/*
   CSS Units

   pixels(px)
     -is relative to the viewscreen(based on the screenn 
      resolution)
     - screen with higher resolution will contain more
     pixels.

   percentage(%)
     - is relative to parent element
     - the height and width will based on the parent container.

   viewports units (vh - viewport heights; vw - viewport width)
     -relative to the viewport/browser window size.

     em
        - relative to the parent element.
        - equal px size = em * parent set size

     rem 
        - relative to the root element (HTML tag)
        - equal px size = rem * root size

*/

.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 5px;

}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width:  100px;
}

.parent {
	width: 250px;
	border:  2px solid navy;
	font-size: 30px;
}

.fifty-vw {
	width: 50vw;
}

.twenty-five-vh {
	height: 25vh;
}

.one-rem {
	/* 1 rem = 16px (font-size of the root element) */
	font-size:  1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}

.two-hundred-percent {
	font-size: 200%;
}

/*
   Background Property
    - background-color - can change the color of the background.
    - background-image:  url(URI) - Takes on the path of the image.
    - background-repeat - set how the background image will be repeated.
    possible values ( no-repeat | repeat-x | repeat-y |space | round)
    - background-size - specify the size of the background image
    possible values (auto | cover | contain | unit values)
    - background-position - changes the position of the
    background image relative to the HTML element (X and Y axis)
      - values : top center bottom (y-axis) & left center right (x-axis)
      unit values

    background-attachment: sets whether a background images ;
    scrolls with the rest of the page or is fixed

*/

.background {
	min-height: 20rem;
	/*background-color: gray;*/
	/*hex #808080 or rgb(128,128,128)*/
	background-image:url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
    background-repeat:no-repeat;
    background-size: 100%;
    /* background-position: x-axis y-axis */
    background-position: center top;
    background-attachment: fixed;

}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

/*
   CSS Position Propery
*/

.parent-element {
    background-color: skyblue;
    padding: 10px;
}


.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
}

.child-three {
    background-color: gray;
    padding: 10px;
}